## robocode
Class KeyTypedEvent

    java.lang.Object
      robocode.Event
          robocode.KeyEvent
              robocode.KeyTypedEvent

All Implemented Interfaces:
  Serializable, Comparable<Event>

    public final class KeyTypedEvent

extends KeyEvent

A KeyTypedEvent is sent to `onKeyTyped()` when a key has been typed (pressed and released) on the keyboard.

Since:
  1.6.1
Author:
  Pavel Savara (original), Flemming N. Larsen (contributor)
See Also:
  `KeyPressedEvent`, `KeyReleasedEvent`, Serialized Form

Constructor Summary
`KeyTypedEvent(KeyEvent source)` Called by the game to create a new KeyTypedEvent.

Method Summary

Methods inherited from class robocode.KeyEvent
`getSourceEvent`

Methods inherited from class robocode.Event
`compareTo, getPriority, getTime, setPriority, setTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyTypedEvent

    public KeyTypedEvent(KeyEvent source)

  Called by the game to create a new KeyTypedEvent.

  Parameters:
    `source` - the source key event originating from the AWT.

Copyright © 2013 Robocode. All Rights Reserved.